<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:id="@+id/main"
    android:background="@drawable/background">

    <ImageView
        android:id="@+id/back"
        android:layout_width="44dp"
        android:layout_height="44dp"
        android:layout_marginTop="5dp"
        android:paddingStart="5dp"
       android:paddingVertical="7dp"
        android:src="@drawable/back_c"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <com.keyborad.theme.trendyborad.trendyutils.TrendyCustomTextView
        android:id="@+id/textview_data_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="@string/app_name"
        android:textColor="@color/main_text_color"
        android:textSize="18sp"
        app:apply_font="true"
        app:layout_constraintBottom_toBottomOf="@id/back"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@id/back" />

    <ImageView
        android:id="@+id/im_like"
        android:layout_width="44dp"
        android:layout_height="44dp"
        android:layout_marginEnd="30dp"
        android:padding="9dp"
        android:src="@drawable/selector_like"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@id/back" />


    <androidx.cardview.widget.CardView
        android:id="@+id/card_viewData"
        android:layout_width="match_parent"
        android:layout_height="204dp"
        android:layout_marginStart="16dp"
        android:layout_marginTop="16dp"
        android:layout_marginEnd="16dp"
        app:cardBackgroundColor="@color/transparent"
        app:cardCornerRadius="12dp"
        app:cardElevation="0dp"
        app:layout_constraintTop_toBottomOf="@id/back">

        <ImageView
            android:id="@+id/image_data"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:scaleType="fitXY" />
    </androidx.cardview.widget.CardView>

    <LinearLayout
        android:id="@+id/layoutDownloadApply"
        android:layout_width="260dp"
        android:layout_height="48dp"
        android:layout_marginStart="16dp"
        android:layout_marginTop="28dp"
        android:layout_marginEnd="16dp"
        android:background="@drawable/shape_set_btn_bg"
        android:gravity="center"
        android:orientation="horizontal"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/card_viewData">

        <ImageView
            android:id="@+id/im_download"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:src="@drawable/down_load" />

        <com.keyborad.theme.trendyborad.trendyutils.TrendyCustomTextView
            android:id="@+id/tv_download"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="12dp"
            android:text="@string/download_apply"
            app:apply_font="true"
            android:textColor="@color/main_text_color"
            android:textSize="16sp" />

    </LinearLayout>


    <com.keyborad.theme.trendyborad.trendyutils.TrendyCustomTextView
        android:id="@+id/text_for_you"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:layout_marginTop="25dp"
        android:text="@string/recommended"
        android:textColor="@color/main_text_color"
        android:textSize="16sp"
        app:apply_font="true"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@id/layoutDownloadApply" />


    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/recommended_recycler"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginStart="16dp"
        android:layout_marginTop="17dp"
        android:layout_marginEnd="8dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/text_for_you" />

    <FrameLayout
        android:id="@+id/loading"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/bg_loading"
        android:clickable="true"
        android:focusable="true"
        android:visibility="gone">

        <ProgressBar
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:indeterminateTint="@color/white" />
    </FrameLayout>

</androidx.constraintlayout.widget.ConstraintLayout>